/*------------------------------------------------------------------------------
-- This file is a part of the QLop Software
-- Copyright (C) 2015, Plasma Physics Laboratory - CNRS
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
-------------------------------------------------------------------------------*/
/*-- Author : Alexis Jeandet
-- Mail : alexis.jeandet@member.fsf.org
----------------------------------------------------------------------------*/

#include "cassiniindexfile.h"

#include <QFile>
#include <stdio.h>
#include <QStringList>

CassiniIndexFile::CassiniIndexFile()
{

}

CassiniIndexFile::~CassiniIndexFile()
{

}

QList<CassiniIndexLine> CassiniIndexFile::loadFile(const QString &file)
{
    QFile dataFile(file);
    dataFile.open(QIODevice::ReadOnly);
    QList<CassiniIndexLine> lines;
    if(dataFile.isOpen())
    {
        QString line;
        QStringList cels;
        CassiniIndexLine indexLine;
        line=dataFile.readLine();
        while(!dataFile.atEnd())
        {
            line=dataFile.readLine();
            cels= line.split(',');
            for(int i=0;i<8;i++)
            {
                indexLine.cels[i]="";
            }
            if(cels.count()<=8)
            {
                for(int i=0;i<cels.count();i++)
                {
                    indexLine.cels[i]=cels.at(i);
                }
                lines.append(indexLine);
            }
        }
    }
    return lines;
}

